slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetRG

Associates a region object to the eigensolver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetRG(EPS eps,RG rg)

Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| rg | - the region object

### Note

Use EPSGetRG() to retrieve the region context (for example, to free it at the end of the computations).

### See Also

EPSGetRG()

### Level

advanced

### Location

src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages